# -*- coding: utf-8 -*-
## GrufSpaces
## Group environments for elaborating and exchanging information
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
from Products.funittest import logical
from Products.funittest import physical
from Products.funittest import register_esg
from Products.funittest import Testable

class Configlet(Testable):
    def snapshot(self, state):
        state.set('key', 'value')
    
    def configure(self, config):
        self.interpreter.annotate("Check the configuration '%s' is done correctly." % config['title'] )
        self.interpreter.verifyTextPresent('GrufSpaces configuration updated.')
        if config['areas']:
            self.failUnless(self.interpreter.get_value('use_groupspace_areas:int')=='on')
        else:
            self.failUnless(self.interpreter.get_value('use_groupspace_areas:int')=='off')
        if config['user_search']:
            self.failUnless(self.interpreter.get_value('user_search_in_grufspaces:int')=='on')
        else:
            self.failUnless(self.interpreter.get_value('user_search_in_grufspaces:int')=='off')
        if config['group_search']:
            self.failUnless(self.interpreter.get_value('group_search_in_grufspaces:int')=='on')
        else:
            self.failUnless(self.interpreter.get_value('group_search_in_grufspaces:int')=='off')
        
        
register_esg("GrufSpaces", Configlet())
