# -*- coding: utf-8 -*-
## GrufSpaces
## Group environments for elaborating and exchanging information
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

from Products.funittest import physical
from Products.funittest import logical
from Products.funittest import dataprovider
from Products.funittest import register_pc
from Products.funittest import Testable
from Products.funittest import precondition
import random
import os

class GroupSpace(Testable):

    def existing_groupspace(self, groupspace):
        self.interpreter.annotate("Setup Groupspace")
        if logical.cmfplone.search.search(groupspace, "matches:0"):
            # When there is no search result, the add drop-down is not accessible
            logical.cmfplone.navigation.top()
            # If the groupspace can not be found, it should be added
            logical.cmfplone.folder.add(groupspace)
            logical.cmfplone.content.edit(groupspace)        
            logical.cmfplone.content.save(groupspace)
        else:
            # If there was a result, navigate to it
            # It is expected to have Expecting to have a unique title
            self.interpreter.clickAndWait("link=%s" % groupspace['title'])
            
    def existing_open_groupspace(self, groupspace):
        self.existing_groupspace(groupspace)
        # Make sure the open GroupSpace is open
        
    def existing_open_groupspace(self, groupspace):
        self.existing_groupspace(groupspace)    
        # Make sure the closed GroupSpace is closed
        
register_pc("GrufSpaces", GroupSpace())
