# -*- coding: utf-8 -*-
## GrufSpaces
## Group environments for elaborating and exchanging information
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py')) 
from Products.GrufSpaces.config import PROJECTNAME
SKINS_DIR = "skins"
from Products.funittest.texttestrunner import TextTestRunner
from Products.funittest import set_mode
from Products.funittest import set_projectname
from Products.funittest import set_skinsdir
from Products.funittest import set_dependencies
from Products.funittest import set_seleniumrc

#set_seleniumrc("http://localhost:8080/Plone", "/Plone")
set_mode("SeleniumRC")
set_projectname(PROJECTNAME)
set_skinsdir(SKINS_DIR)
REQUIRED = 1
OPTIONAL = 0
dependencies = [ (REQUIRED, "PloneFunctional"),
               ]
set_dependencies(dependencies)

from Products.funittest import load_model
load_model("PloneFunctional", "cmfplone")
load_model("PloneFunctional", "clouseau")
load_model("GrufSpaces", "grufspaces")

import test_email
import test_workflow

def suite():
    return unittest.TestSuite((
        unittest.makeSuite(test_email.TestEmail),
        unittest.makeSuite(test_workflow.TestWorkflow),
        ))
        
if __name__ == "__main__":
    result = TextTestRunner(verbosity=2).run(suite())
    sys.exit(not result.wasSuccessful())
