# -*- coding: utf-8 -*-
## GrufSpaces
## Group environments for elaborating and exchanging information
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
__author__  = 'Maik Roeder <maik.roeder@ingeniweb.com>'
__docformat__ = 'restructuredtext'

import unittest
from Products.funittest import logical
from Products.funittest import physical
from Products.funittest import dataprovider
from Products.funittest import precondition
from Products.funittest import TestCase

import os

class TestWorkflow(TestCase):
    "GroupSpace content type tests"
    
    def setUp(self):    
        TestCase.setUp(self)
        self.interpreter.open("")        
        user={'id':'sampleadmin'}        
        logical.cmfplone.application.change_user(user)        
        self.groupspace = dataprovider.grufspaces.groupspace.get("GroupSpace 1")
        precondition.grufspaces.groupspace.existing_open_groupspace(self.groupspace)
                
    def test_groupspace_transitions(self):
        "Test GroupSpace Transitions"
        logical.cmfplone.workflow.change_state("close")
        logical.cmfplone.workflow.change_state("open")
        
if __name__ == "__main__":
    unittest.main()
